Services 2017/18 Q1 goal: Start gradual roll-out of Cassandra 3 & new schema to resolve storage scaling issues and OOM errors.
Closed, ResolvedPublic

Description

Annual plan:

  • Program 7: Smart tools for better data
  • Outcome 2: access to Wikimedia content and data with scalable APIs
  • Objective 1: Revision storage scaling

Objective for this quarter

Start gradual roll-out of Cassandra 3 & new schema to resolve storage scaling issues and OOM errors.

GWicke created this task.Jul 6 2017, 10:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2017, 10:42 PM
Eevans triaged this task as Normal priority.Jul 31 2017, 7:15 PM

Mentioned in SAL (#wikimedia-operations) [2017-09-13T13:30:44Z] <urandom> T169936: Converting RESTBase dev environment to size-tiered compaction

Change 381884 had a related patch set uploaded (by Eevans; owner: Eevans):
[operations/puppet@production] restbase-ng: Collect type=Table (not ColumnFamily)

https://gerrit.wikimedia.org/r/381884

Change 381884 merged by Dzahn:
[operations/puppet@production] restbase-ng: Collect type=Table (not ColumnFamily)

https://gerrit.wikimedia.org/r/381884

Eevans closed this task as Resolved.Oct 5 2017, 6:03 PM

Q1 has come to an end, this goal was achieved; Closing this issue as resolved.